<div class="addContainer">
  <div class="modalHeader">
    <div class="editRowModal">
      <div class="modalHeader clearfix">
        <img *ngIf = "patient.Imagen === 'assets/images/user/user1.jpg' || patient.Imagen === ''" src='/assets/images/user/user1.jpg' alt="avatar" width="40" height="40">
        <img *ngIf = "patient.Imagen === 'user_default.png'" src='https://animatiomx.com/odonto/imagenes/{{patient.Imagen}}' alt="avatar" width="40" height="40">
        <img *ngIf = "patient.Imagen !== 'user_default.png' && patient.Imagen !== 'assets/images/user/user1.jpg' && patient.Imagen !== ''" src='https://animatiomx.com/odonto/imagenes/{{patient.Imagen}}' alt="avatar" width="40" height="40">
        <div class="modal-about">
          <div class="font-weight-bold p-t-5 p-l-10 font-17">
            {{dialogTitle}}</div>
        </div>
      </div>
    </div>
    <button mat-icon-button (click)="dialogRef.close()" aria-label="Close dialog">
      <mat-icon>close</mat-icon>
    </button>
  </div>
  <div mat-dialog-content>
    <form class="register-form m-4" [formGroup]="patientForm" (ngSubmit)="submit">
      <div class="row">
        <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Nombre</mat-label>
            <input matInput formControlName="name" required>
            <mat-icon matSuffix>face</mat-icon>
            <mat-error *ngIf="patientForm.get('name').hasError('required')">
              El nombre es reuqerido
            </mat-error>
          </mat-form-field>
        </div>
        <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Apellidos</mat-label>
            <input matInput formControlName="ape" required>
            <mat-icon matSuffix>face</mat-icon>
            <mat-error *ngIf="patientForm.get('ape').hasError('required')">
              El Apellido es requerido
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Dirección</mat-label>
            <input matInput formControlName="dir" >
            <!-- <mat-icon matSuffix>face</mat-icon> -->
            <!-- <mat-error *ngIf="patientForm.get('name').hasError('required')">
              La Dirección es reuqerida
            </mat-error> -->
          </mat-form-field>
        </div>
        <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Teléfono</mat-label>
            <input matInput formControlName="mobile" minlength="10" maxlength="10" onkeypress='return event.charCode >= 48 && event.charCode <= 57' required>
            <mat-icon matSuffix>phone</mat-icon>
            <mat-error *ngIf="patientForm.get('mobile').hasError('required')">
              El Teléfono es requerido
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
          <div class="m-b-20">
            <mat-label class="mr-3">Genero:</mat-label>
            <mat-radio-group aria-label="Select gender" formControlName="gender" required>
              <mat-radio-button value="Masculino">Masculino</mat-radio-button>
              <mat-radio-button value="Femenino">Femenino</mat-radio-button>
              <mat-error *ngIf="patientForm.get('gender').hasError('required')">
                El genero es requerido
              </mat-error>
            </mat-radio-group>
          </div>
        </div>
      </div>
      <!-- <div class="row">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Address</mat-label>
            <textarea matInput formControlName="address"></textarea>
          </mat-form-field>
        </div>
      </div> -->
      <div class="row">
        <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Fecha de Nacimiento</mat-label>
            <input matInput [matDatepicker]="picker" formControlName="date">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
            <mat-error *ngIf="patientForm.get('date').hasError('required')">
              Porfavor elija una fecha
            </mat-error>
          </mat-form-field>
        </div>
        <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width " appearance="outline">
            <mat-label>Grupo Sanguíneo</mat-label>
            <mat-select formControlName="bGroup" required>
              <mat-option [value]="'A+'">
                A+
              </mat-option>
              <mat-option [value]="'A-'">
                A-
              </mat-option>
              <mat-option [value]="'B+'">
                B+
              </mat-option>
              <mat-option [value]="'B-'">
                B-
              </mat-option>
              <mat-option [value]="'O+'">
                O+
              </mat-option>
              <mat-option [value]="'O-'">
                O-
              </mat-option>
              <mat-option [value]="'AB+'">
                AB+
              </mat-option>
              <mat-option [value]="'AB-'">
                AB-
              </mat-option>
            </mat-select>
            <mat-error *ngIf="patientForm.get('bGroup').hasError('required')">
              El grupo sanguineo es requerido
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Correo Electrónico</mat-label>
            <input matInput formControlName="email" type="email" required email>
            <mat-icon matSuffix>email</mat-icon>
            <mat-error *ngIf="patientForm.get('email').hasError('required')">
              El Correo Electrónico es requerido
            </mat-error>
            <mat-error *ngIf="patientForm.get('email').hasError('email')">
              El Correo Electrónico no es valido
            </mat-error>
          </mat-form-field>
        </div>
        <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
          <mat-form-field class="example-full-width" appearance="outline">
            <mat-label>Modificar imagen</mat-label>
            <ngx-mat-file-input formControlName="uploadImg" id="foto" multiple  accept="image/*">
            </ngx-mat-file-input>
            <mat-icon matSuffix>face</mat-icon>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
          <div class="example-button-row">
            <button mat-raised-button color="primary" [type]="submit" [disabled]="!patientForm.valid"
              [mat-dialog-close]="1" (click)="confirmAdd()">Guardar</button>
            <button mat-raised-button color="warn" (click)="onNoClick()" tabindex="-1">Cancelar</button>
          </div>
        </div>
      </div>
    </form>
  </div>
</div>
